/*
 * err.h - error handling definitions
 */

#ifndef NYLON_ERR_H
#define NYLON_ERR_H

#define ERROR_RECV 1    /* error receiving            */
#define ERROR_SEND 2    /* error sending              */
#define ERROR_HEAD 3    /* error in header            */
#define ERROR_ADDR 4    /* error in address           */
#define ERROR_SOCKS4 5  /* error in socks4 compliancy */
#define ERROR_SOCKS5 6  /* error in socks5 compliancy */
#define ERROR_SOCKET 7  /* error in socket (creation) */
#define ERROR_BIND 8    /* error in binding           */
#define ERROR_CONNECT 9 /* error in connecting        */
#define ERROR_REPLY 10  /* error in replying          */
#define ERROR_CTERM 11  /* client termination         */
#define ERROR_STERM 12  /* server termination         */
#define ERROR_SELECT 13 /* error in select (block)    */
#define ERROR_UNDEF 14  /* undefined error            */
#define ERROR_UNSUP 15  /* unsupported feature        */

#endif /* NYLON_ERR_H */
