/* mnet.c - mesh networking utils
 * marius aamodt eriksen (marius@umich.edu)
 * $Id: mnet.c,v 1.6 2001/10/27 04:57:57 beriksen Exp $ */


#include "nylon.h"

#if defined(SENDN) || defined(RECVN)
ssize_t
#if defined(RECVN)
recvn
#elif defined(SENDN)
sendn
#endif
(int s, void *buf, size_t len, int flags)
{
	unsigned bytes = 0, bytes_left = len;
	
	while (bytes_left > 0) {
		if ( (bytes =
#if defined(RECVN)
			  recv
#elif defined(SENDN)
			  send
#endif
			  (s, buf+(len-bytes_left), bytes_left, flags)) >= 0 )
			bytes_left -= bytes;
		else
			return bytes;
	}
	return len;
}
#endif /* defined(SENDN) || defined(RECVN) */

#if !defined(RECVN) && !defined(SENDN)
/* void */
#endif
